=== debian/changelog ===
libkf5libkdepim (4:16.04.2-3) unstable; urgency=medium

  * Update symbols files with the results from the buildds

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Jul 2016 15:42:04 +0200

libkf5libkdepim (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 17:06:04 +0200

libkf5libkdepim (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add new upstream patch: upstream_add_copying.patch

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:56:54 +0200

libkf5libkdepim (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Update build-deps and deps with the info from cmake
  * Initial packaging
  * Update watch file to use the unstable version
  * The auto_tests need X to be run
  * Update install files
  * Add data a plugins packages
  * Add missing headers for CamelCase users
  * Update acc file
  * Rename source package, add missing file
  * Fix typo in the symbols file
  * Fix wrong section name
  * Update the acc test
  * Add missing dev dependency (thanks to the acc headers check)
  * Bump kdepim dependencies

  [ Automatic packaging ]
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 12:34:58 +0200
