=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:16.04~),
               libkf5akonadicontact-dev (>= 16.04~),
               libkf5akonadisearch-dev (>= 16.04~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.40~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5itemviews-dev (>= 5.19.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5ldap-dev (>= 16.04~),
               libkf5mime-dev (>= 16.04~),
               libkf5wallet-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdepim.git

Package: libkf5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5completion-dev (>= 5.19.0~),
         libkf5contacts-dev (>= 5.2.40~),
         libkf5coreaddons-dev,
         libkf5ldap-dev (>= 5.2.40~),
         libkf5libkdepim5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.
