=== debian/changelog ===
libkf5libkdepim (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @889443f8a3b87b8a2ea2a7c9a32660626deda7aa **

  [ Maximiliano Curia ]
  * Initial release.
  * Update build-deps and deps with the info from cmake
  * Initial packaging
  * Update watch file to use the unstable version
  * The auto_tests need X to be run
  * Update install files
  * Add data a plugins packages
  * Add missing headers for CamelCase users
  * debian/watch: unstable > stable, :(
  * Update acc file
  * Update acc file
  * Rename source package, add missing file
  * Fix typo in the symbols file

  [ Automatic packaging ]
  * Update changelog for 16.04.0-1~2.gbp04b698 release
  * Update symbols files

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian, for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Fix lintian spelling and long description error

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:39 +0200
