=== debian/changelog ===
libkf5libkdepim (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update install files for new development files and plugins, and
    clarify package description
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5libkdepim5 -> libkf5libkdepim5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Install translations and add Breaks/Replaces against kde-l10n
  * Avoid circular dependency passing 'libkf5libkdepim-plugins' to
    dh_shlibdeps
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:54 +0100

libkf5libkdepim (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Add libkf5libkdepim-dev depends (that fixes the acc autopkgtest):
    - qtbase5-dev
    - libkf5coreaddons-dev
    - libkf5completion-dev
    - libkf5akonadi-dev
    - libkf5ldap-dev
    - libkf5contacts-dev
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:32 +0100
