## libkf5libkdepim 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.5.3")
+set(PIM_VERSION "5.7.3")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.32.0")
+set(KF5_VERSION "5.39.0")
+
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
@@ -23,12 +24,12 @@
 
 
 set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "5.5.3")
-set(QT_REQUIRED_VERSION "5.6.0")
-set(KLDAP_LIB_VERSION "5.5.3")
-set(KCONTACTS_LIB_VERSION "5.5.3")
-set(AKONADISEARCH_LIB_VERSION "5.5.3")
-set(AKONADI_VERSION "5.5.3")
+set(AKONADICONTACT_LIB_VERSION "5.7.3")
+set(QT_REQUIRED_VERSION "5.8.0")
+set(KLDAP_LIB_VERSION "5.7.3")
+set(KCONTACTS_LIB_VERSION "5.7.3")
+set(AKONADISEARCH_LIB_VERSION "5.7.3")
+set(AKONADI_VERSION "5.7.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)
 
@@ -54,17 +55,12 @@
 find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
 set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
 
-find_package(Qt5Designer CONFIG)
-set_package_properties(Qt5Designer PROPERTIES
-   PURPOSE "Required to build the Qt Designer plugins"
-   TYPE OPTIONAL
-)
 
-if (Qt5Designer_FOUND)
-  find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG REQUIRED)
-endif()
-
-remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )
+find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
+set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")
