=== debian/changelog ===
libkf5libkdepim (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:37 +0000

libkf5libkdepim (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Simon Quigley ]
  * Bump soname with the Debian ABI Manager due to binary incompatible
    changes: libkf5libkdepim5abi1 -> libkf5libkdepim5abi2

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:42 +0000

libkf5libkdepim (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Update symbols from build log
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:05 +0000
