=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadisearch-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadisearch-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5ldap-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -27,8 +28,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
 
-Package: libkf5libkdepim5abi1
-X-Debian-ABI: 1
+Package: libkf5libkdepim5abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5Libkdepim
 Architecture: any
 Multi-Arch: same
@@ -89,12 +90,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5completion-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.04.3~),
+         libkf5contacts-dev (>= 4:17.12.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 17.04.3~),
-         libkf5libkdepim5abi1 (= ${binary:Version}),
+         libkf5ldap-dev (>= 17.12.3~),
+         libkf5libkdepim5abi2 (= ${binary:Version}),
          libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
