=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

lib_packages = $(filter lib%,$(shell dh_listpackages))

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xlibkf5libkdepim-plugins
	$(overridden_command) --remaining-packages

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
