## libkf5libkdepim 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.8.3")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.44.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,14 +22,13 @@
 include(ECMAddTests)
 include(ECMCoverageOption)
 
-
 set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "5.7.3")
+set(AKONADICONTACT_LIB_VERSION "5.8.3")
 set(QT_REQUIRED_VERSION "5.8.0")
-set(KLDAP_LIB_VERSION "5.7.3")
-set(KCONTACTS_LIB_VERSION "5.7.3")
-set(AKONADISEARCH_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
+set(KLDAP_LIB_VERSION "5.8.3")
+set(KCONTACTS_LIB_VERSION "5.8.3")
+set(AKONADISEARCH_LIB_VERSION "5.8.3")
+set(AKONADI_VERSION "5.8.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)
 
@@ -76,7 +75,6 @@
   DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")
 
 
-
 add_subdirectory(src)
 
 install( FILES libkdepim.categories libkdepim.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
